
This stuff is only temporary. 
It is used for the global symbol renaming in the Apache 1.3 sources.
It replaces identifiers in our C source files according to
the rename.cf file. 

This can be used directly by everyone:
--------------------------------------
rename.pl .......... The source renaming script

These three Needs adjustments to work out-of-the-box:
-----------------------------------------------------
rename.cf.update ... Updates rename.cf according to API_EXPORT tags 
                     in the sources. Needs an ID file in src/ which
                     is generated by "mkid" from GNU id-utils
apapi_compat.h.mk .. Creates apapi_compat.h file from rename.cf
apapi.h.mk ......... Creates apapi.h file from rename.cf and ID file


If we ever get around to doing this, here's the procedure
---------------------------------------------------------

    - tag the source tree
      $ cd apache-1.3
      $ cvs tag PRE_AP_PREFIX_RENAME .
    - rename the source identifiers
      $ cd apache-1.3/src/test/rename
      $ make rename
    - compile entire server (static variant)
      $ cd apache-1.3
      $ ./configure --prefix=/tmp/apache 
                    --enable-module=most
    - check symbols
      $ cd apache-1.3/src
      $ nm -g httpd |more
    - check operation of server
      $ cd apache-1.3
      $ make install
      $ /tmp/apache/sbin/apachectl start
    - compile entire server (shared variant)
      $ cd apache-1.3
      $ ./configure --prefix=/tmp/apache 
                    --enable-module=most
                    --enable-shared=max
    - check symbols
      $ cd apache-1.3/src
      $ nm -g httpd | egrep -v '_modules?$' | egrep -v 'apx?_' | grep -v '.o$'
      $ nm -g httpd | more
    - check operation of server
      $ cd apache-1.3
      $ make install
      $ /tmp/apache/sbin/apachectl start
    - commit
      $ cd apache-1.3/src
      $ cvs commit .
    - tag the source tree
      $ cd apache-1.3
      $ cvs tag POST_AP_PREFIX_RENAME .

